org.keycloak.representations.idm

## Class SocialMappingRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.SocialMappingRepresentation

-     public class SocialMappingRepresentation
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `self`
    `protected List<SocialLinkRepresentation>` | `socialLinks`
    `protected String` | `username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialMappingRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSelf()`
    `List<SocialLinkRepresentation>` | `getSocialLinks()`
    `String` | `getUsername()`
    `void` | `setSelf(String self)`
    `void` | `setUsername(String username)`
    `SocialLinkRepresentation` | `socialLink(String socialProvider, String socialUserId, String socialUsername)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### self

          protected String self

    - #### username

          protected String username

    - #### socialLinks

          protected List<SocialLinkRepresentation> socialLinks

  - ### Constructor Detail

    - #### SocialMappingRepresentation

          public SocialMappingRepresentation()

  - ### Method Detail

    - #### getSelf

          public String getSelf()

    - #### setSelf

          public void setSelf(String self)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getSocialLinks

          public List<SocialLinkRepresentation> getSocialLinks()

    - #### socialLink

          public SocialLinkRepresentation socialLink(String socialProvider,
                                            String socialUserId,
                                            String socialUsername)

Copyright © 2014. All Rights Reserved.